# ---------------------------------------------------------------------------
# Login Server Settings
# ---------------------------------------------------------------------------
# This is the server configuration file. Here you can set up the connection information for your server.
# This was written with the assumption that you are behind a router.
# Dumbed Down Definitions...
# LAN (LOCAL area network) - typically consists of computers connected to the same router as you.
# WAN (WIDE area network) - typically consists of computers OUTSIDE of your router (ie. the internet).
# x.x.x.x - Format of an IP address. Do not include the x'es into settings. Must be real numbers.
# ---------------------------------------------------------------------------
# Networking
# ---------------------------------------------------------------------------

# Enables automatic port mapping for login server.
# If you have a router login server will request for port forwarding.
# Default: True
EnableUPnP = True

# Bind ip of the LoginServer, use * to bind on all available IPs
# WARNING: <u><b><font color="red">Please don't change default IPs here if you don't know what are you doing!</font></b></u>
# WARNING: <u><b><font color="red">External/Internal IPs are now inside "ipconfig.xml" file.</font></b></u>
# Default: * (0.0.0.0)
LoginserverHostname = *

# Default: 2106
LoginserverPort = 2106

# The address on which login will listen for GameServers, use * to bind on all available IPs
# WARNING: <u><b><font color="red">Please don't change default IPs here if you don't know what are you doing!</font></b></u>
# WARNING: <u><b><font color="red">External/Internal IPs are now inside "ipconfig.xml" file.</font></b></u>
# Default: 127.0.0.1
LoginHostname = 127.0.0.1

# The port on which login will listen for GameServers
# Default: 9014
LoginPort = 9014

# ---------------------------------------------------------------------------
# Security
# ---------------------------------------------------------------------------

# Logs in file the login server events.
# Default: True
LogLoginController = True

# How many times you can provide an invalid account/pass before the IP gets banned.
# Default: 5
LoginTryBeforeBan = 5

# Time you won't be able to login back again after LoginTryBeforeBan tries to login.
# Default: 900 (15 minutes)
LoginBlockAfterBan = 900

# If set to True any GameServer can register on your login's free slots
# Default: True
AcceptNewGameServer = True

# Flood Protection. All values are in MILISECONDS.
# Default: True
EnableFloodProtection = True

# Default: 15
FastConnectionLimit = 15

# Default: 700
NormalConnectionTime = 700

# Default: 350
FastConnectionTime = 350

# Default: 50
MaxConnectionPerIP = 50

# ---------------------------------------------------------------------------
# Database
# ---------------------------------------------------------------------------

# Specify the appropriate driver and url for the database you're using.
# Examples:
# Driver = com.mysql.jdbc.Driver (default)
# Driver = org.hsqldb.jdbcDriver
# Driver = com.microsoft.sqlserver.jdbc.SQLServerDriver
Driver = com.mysql.jdbc.Driver
# Database URL
# URL = jdbc:mysql://localhost/l2jls (default)
# URL = jdbc:hsqldb:hsql://localhost/l2jls
# URL = jdbc:sqlserver://localhost/database = l2jls/user = sa/password = 
URL = jdbc:mysql://localhost/l2jls
# Database user info (default is "root" but it's not recommended)
Login = root
# Database connection password
Password = 

# Default: 10
MaximumDbConnections = 10

# Default: 0
MaximumDbIdleTime = 0

# Connection close time.
# Default: 60000
ConnectionCloseTime = 60000


# ---------------------------------------------------------------------------
# Misc.
# ---------------------------------------------------------------------------

# If False, the license (after the login) will not be shown.
# Default: True
ShowLicence = True

# Default: True
AutoCreateAccounts = True

# Datapack root directory.
# Defaults to current directory from which the server is started.
DatapackRoot = .

# ---------------------------------------------------------------------------
# Developer Settings
# ---------------------------------------------------------------------------

# Default: False
Debug = False

# ---------------------------------------------------------------------------
# Restart LS every 24 hours?
# ---------------------------------------------------------------------------

# Enable disable scheduled login restart.
# Default: False
LoginRestartSchedule = False
# Time in hours.
# Default: 24
LoginRestartTime = 24